Package org.eclipse.swt.events

# Class MouseEvent

java.lang.Object
SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.MouseEvent

Direct Known Subclasses:
  `DragDetectEvent`

public class MouseEvent extends TypedEvent
Instances of this class are sent whenever mouse related actions occur. This includes mouse buttons being pressed and released, the mouse pointer being moved and the mouse pointer crossing widget boundaries.

Note: The `button` field is an integer that represents the mouse button number. This is not the same as the `SWT` mask constants `BUTTONx`.

Since:
  1.1
See Also:
  - `MouseListener`
  - `MouseMoveListener`
  - `MouseTrackListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`button`
the button that was pressed or released; 1 for the first button, 2 for the second button, and 3 for the third button, etc.
`int`
`count`
the number times the mouse has been clicked, as defined by the operating system; 1 for the first click, 2 for the second click and so on.
`int`
`stateMask`
the state of the keyboard modifier keys at the time the event was generated
`int`
`x`
the widget-relative, x coordinate of the pointer at the time the mouse button was pressed or released
`int`
`y`
the widget-relative, y coordinate of the pointer at the time the mouse button was pressed or released

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`MouseEvent(Event event)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### button

public int button
the button that was pressed or released; 1 for the first button, 2 for the second button, and 3 for the third button, etc.

### stateMask

public int stateMask
the state of the keyboard modifier keys at the time the event was generated

Since:
  1.3

### x

public int x
the widget-relative, x coordinate of the pointer at the time the mouse button was pressed or released

### y

public int y
the widget-relative, y coordinate of the pointer at the time the mouse button was pressed or released

### count

public int count
the number times the mouse has been clicked, as defined by the operating system; 1 for the first click, 2 for the second click and so on.

Since:
  2.0

## Constructor Details

### MouseEvent

public MouseEvent(Event event)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information
Since:
  1.2

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event